file = '140703_100nm_0.002ww_water_AOS_bright_120fps_100x.avi';
delay_time = 600;
movie = VideoReader(file);
frames = movie.NumberOfFrames;
map = gray(8);
a = read(movie,1);
b = read(movie,delay_time+1);
constant_time = 'Constant_time_difference.tif';
variable_time = 'Variable_time_difference.tif';
difference = b-a;
max_d = max(max(difference));
min_d = min(min(difference));
difference = 8*(difference-min_d)./(max_d-min_d);
imwrite(difference,map,constant_time);
imwrite(difference,map,variable_time);

%%
for i = 2:1:frames - delay_time
    av = read(movie,i);
    b = read(movie,i + delay_time);
    difference = b-a;
    max_d = max(max(difference));
    min_d = min(min(difference));
    difference = 8*(difference-min_d)./(max_d-min_d);
    imwrite(difference,map,variable_time,'WriteMode','append');
    difference = b-av;
    max_d = max(max(difference));
    min_d = min(min(difference));
    difference = 8*(difference-min_d)./(max_d-min_d);
    imwrite(difference,map,constant_time,'WriteMode','append');
    i
end

