function [ Dqt ] = DDM_GlobalStretchExpFunc( VarInput,t,GlobalDefVec,nqfit )
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here

A = VarInput(:,1);
B = VarInput(:,2);
G = VarInput(:,3);
alpha = VarInput(:,4);

for i = 1:nqfit
    Anum = -(i-1)*(GlobalDefVec(1)-1)+1;
    Bnum = -(i-1)*(GlobalDefVec(2)-1)+1;
    Gnum = -(i-1)*(GlobalDefVec(3)-1)+1;
    alphanum = -(i-1)*(GlobalDefVec(4)-1)+1; 

    
    Dqt(:,i) = A(Anum) + B(Bnum).*(1-exp(-(G(Gnum).*t).^alpha(alphanum)));
end

end

